/* SCCS  @(#)nsl_input_include.h	1.2---97/03/05--19:45:32 */
//
//	nsl_input_include.h
//

extern class nsl_input_layer;
extern class nsl_input_data;
extern class nsl_input_vector;
extern class nsl_input_matrix;

extern class nsl_stim;
extern class nsl_stim_data;
extern class nsl_stim_vector;
extern class nsl_stim_matrix;
extern class nsl_block_stim_data;
extern class nsl_block_stim_vector;
extern class nsl_block_stim_matrix;
extern class nsl_icon_stim_data;
extern class nsl_icon_stim_vector;
extern class nsl_icon_stim_matrix;

extern class nsl_cmd_stim_type;
extern class nsl_cmd_spec_type;

extern class nsl_time_interval;

enum spec_type_enum { NSL_CORNER=0, NSL_CENTER=1 };
enum stim_type_enum { NSL_BLOCK=0, NSL_ICON=1 };
 
# include "input_stim_incl/nsl_input_layer.h"
# include "input_stim_incl/nsl_input_data.h"
# include "input_stim_incl/nsl_input_vector.h"
# include "input_stim_incl/nsl_input_matrix.h"

# include "input_stim_incl/nsl_stim.h"
# include "input_stim_incl/nsl_stim_data.h"
# include "input_stim_incl/nsl_stim_vector.h"
# include "input_stim_incl/nsl_stim_matrix.h"
# include "input_stim_incl/nsl_block_stim_data.h"
# include "input_stim_incl/nsl_block_stim_vector.h"
# include "input_stim_incl/nsl_block_stim_matrix.h"
# include "input_stim_incl/nsl_icon_stim_data.h"
# include "input_stim_incl/nsl_icon_stim_vector.h"
# include "input_stim_incl/nsl_icon_stim_matrix.h"

# include "input_stim_incl/nsl_time_interval.h"

