/* SCCS  %W%---%E%--%U% */
//
//	nsl_diff_interpolation.h
//

class nsl_diff_interpolation : public nsl_diff_method
{
protected:
	num_type p;
public:
		nsl_diff_interpolation();
		virtual ~nsl_diff_interpolation();

	int	init();
	int 	init_diff_interpolation();
	
// 	assignment
	  virtual int exec(const num_type);
	  virtual int exec(const nsl_data&);
	  virtual int exec(const nsl_vector&);
	  virtual int exec(const nsl_matrix&);

	  int execute(num_type,num_type,num_type,const num_type);
	  int execute(nsl_num_data&,num_type,num_type,
		const nsl_num_data&);
	  int execute(nsl_num_data&,nsl_num_data&,num_type,
		const nsl_num_data&);
	  int execute(nsl_num_vector&,num_type,num_type,
		const nsl_num_vector&);
	  int execute(nsl_num_vector&,nsl_num_data&,num_type,
		const nsl_num_vector&);
	  int execute(nsl_num_matrix&,num_type,num_type,
		const nsl_num_matrix&);
	  int execute(nsl_num_matrix&,nsl_num_data&,num_type,
		const nsl_num_matrix&);

	int run(nsl_layer*,nsl_layer*);

	virtual nsl_diff_method* make_copy();
};
