/* SCCS  @(#)xnsl_display_canvas.h	1.1---95/08/13--23:41:19 */
//
// 	xnsl_display_canvas.h
//

class xnsl_display_canvas : public xnsl_window
{
protected:
// 	xnsl_display_graph*	canvas_graph;	// graphics
  
public:
		xnsl_display_canvas(xnsl_display_window*,char*);
		~xnsl_display_canvas();

//	xnsl_display_graph*	get_canvas_graph() { return canvas_graph; }
//	void	set_canvas_graph(xnsl_display_graph* graph) 
//		{ canvas_graph=graph; }

// resize
	int	resize(int,int,int,int); 
// reset
	virtual int	reset(nsl_buffer* = 0);
// init	
	virtual int	init();	
// create  
	int	create();
	int	create(int,int,int,int,const char*); 
// update
	int	update();
// clear
	int	clear();
// database updates
	int	read_from_database();
	int	write_to_database();
// display
	int	display();
// mouse input
	int	input(int,int,int);
	int	output(int,int);
	
// print
	virtual int	print_status(ostream&) const;
	virtual int	print(ostream&) const;

	int	print_display_canvas_status(ostream&) const;
	int	print_display_canvas(ostream&) const;

	int	print_display_canvas_status(ostream&,char*) const;
	int	print_display_canvas_status(ostream&,int) const;
	int	print_display_canvas(ostream&,char*) const;
	int	print_display_canvas(ostream&,int) const;
};
