/* SCCS  %W%---%E%--%U% */
//
// 	xnsl_line.h
//

// regular line
class xnsl_line : public xnsl_graph
{
	float f0,f1;
	int dir_type; // 0 - slanted, 1 - horizontal, 2 - vertical
	int line_type; // 0 - solid, 1 - broken
public:
	xnsl_line(xnsl_display_canvas* = 0,num_type = 0, num_type = 0);
	virtual ~xnsl_line();

	// set
	void set_f0(float s) { f0 = s; }
	void set_f1(float s) { f1 = s; }
	void set_dir_type(int i) { dir_type = i; }
	void set_line_type(int i) { line_type = i; }
	// get
	float get_f0() { return f0; }
	float get_f1() { return f1; }
	int get_dir_type() { return dir_type; }
	int get_line_type() { return line_type; }

       	virtual xnsl_widget *make_widget();

      	virtual int display();

    	virtual xnsl_widget *create_widget(const char* = "", xnsl_widget* = 0,
		int = 0, int = 0, int = 100, int = 100,
		int = 0, int = 0,int = 100, int = 100,
		int=10,int=10,const char* = "",const char* = "");

        virtual void set_env(const char* = "", int = 0, int = 0,
		int = 100, int = 100, int=0, int=0, int=100, int=100,
		int=10,int=10,const char* = "",const char* = "");
};


