/* SCCS  %W%---%E%--%U% */
//
//	nsl_input_matrix.h
//

class nsl_input_matrix : public nsl_num_matrix 
{
protected:
	nsl_input_layer* input_layer;	// stim
	int xz,yz;			// matrix zero elements
	float dx,dy;			// adjacent elem distance
//	float erf;              	// erf - excit. receptive field (dia)
public:

	nsl_input_matrix(const char*,const int,const int,int=0,int=0);
	~nsl_input_matrix();

	nsl_input_layer* get_input_layer() { return input_layer; }

// set
 	void	set_xz(int i) { xz = i; }
	void	set_yz(int i) { yz = i; }
	void	set_dx(float s) { dx = s; }
	void	set_dy(float s) { dy = s; }
// get
 	int	get_xz() { return xz; }
	int	get_yz() { return yz; }
	float	get_dx() { return dx; }
	float	get_dy() { return dy; }

// 	assignment
	num_type** 	operator=(const nsl_input_matrix&);
	num_type** 	operator=(const nsl_matrix&);
	num_type** 	operator=(const nsl_data&);
 	num_type** 	operator=(const num_type);
	num_type** 	operator=(const int);

 	int run();

// print status
	virtual int print_status(ostream&) const;
	int print_input_matrix_status(ostream&) const;

	virtual int print(ostream&) const;
	virtual int print(ostream&,int) const;
};
