/* SCCS  @(#)nsl_input_vector.h	1.1---95/08/13--23:45:45 */
//
//	nsl_input_vector.h
//

class nsl_input_vector : public nsl_num_vector
{
protected:
	nsl_input_layer* input_layer;	// stim info
	int xz;				// matrix zero elements
	float dx;			// adjacent elem distance
//	float erf;              	// erf - excit. receptive field (dia)
public:

	nsl_input_vector(const char*,const int,row_col_enum = NSL_ROW,
		int=0,int=0);
	~nsl_input_vector();

	nsl_input_layer* get_input_layer() { return input_layer; }

// set
 	void	set_xz(int i) { xz = i; }
	void	set_dx(float s) { dx = s; }
// get
 	int	get_xz() { return xz; }
	float	get_dx() { return dx; }

// assignment
	num_type* 	operator=(const nsl_input_vector&);
	num_type* 	operator=(const nsl_vector&);
	num_type* 	operator=(const nsl_data&);
 	num_type* 	operator=(const num_type);
 	num_type* 	operator=(const int);

 	int run();

// print status
	virtual int print_status(ostream&) const;
	int print_input_vector_status(ostream&) const;

	virtual int print(ostream&) const;
	virtual int print(ostream&,int) const;
};
