/* SCCS  %W%---%E%--%U% */
//
//	nsl_num_1.h
//

//template<class NslNumType>
class nsl_num_1 : public nsl_vector_layer
{
protected:
	NslNumType *v; 
public:
		nsl_num_1(const int = 0,int = 0,int=0,int=1);
		nsl_num_1(const char*,nsl_model* = 0,const int = 0,
			row_col_enum = NSL_ROW,int=0,int=1,int=1);
		nsl_num_1(const nsl_num_1/*NslNumType*/&,int=0,int=0,int=1);

		~nsl_num_1();

	int	init_num_vector(const int = 0);
	int	alloc_mem(const int);

// get value
	NslNumType*	get_v() const { return v; }
	NslNumType&	operator[](const int) const;
	NslNumType&	elem(const int);

// set value
	void	set_value(const int,const NslNumType);

// assignment
	nsl_num_1/*NslNumType*/& 	
		operator=(const nsl_num_1/*NslNumType*/&);
	nsl_num_1/*NslNumType*/& 	
		operator=(const nsl_num_0/*NslNumType*/&);
	nsl_num_1/*NslNumType*/& 	
		operator=(const NslNumType);

        NslNumType        max();
        NslNumType        min();

        NslNumType        max(int*); // return index
        NslNumType        min(int*);

	// sum
	NslNumType	sum();

// also functions
//	nsl_num_2/*NslNumType*/ expand_col(const int);
//	nsl_num_2/*NslNumType*/ expand_row(const int);
//	nsl_num_2/*NslNumType*/ expand(const int);

	nsl_num_1/*NslNumType*/ transpose_col();
	nsl_num_1/*NslNumType*/ transpose_row();
	nsl_num_1/*NslNumType*/ transpose();

	// sector
	nsl_num_1/*NslNumType*/ 	get_sector(const int,const int) const;
	nsl_num_1/*NslNumType*/		set_sector(const 
					nsl_num_1/*NslNumType*/&,const int);
	nsl_num_1/*NslNumType*/ 	put_sector(const 
					nsl_num_1/*NslNumType*/&,const int); 

// print

	virtual int	print(ostream&) const;
	int	print_num_vector(ostream&) const;
	int	print_num_vector(ostream&,const int,const int) const;
	virtual int	print_status(ostream&) const;
	int	print_num_vector_status(ostream&) const;

	int 	reset_num_vector(nsl_buffer* = 0);
	virtual int 	reset(nsl_buffer* = 0);

	int 	write_num_vector(nsl_buffer&);
	virtual int 	write(nsl_buffer&);
	int 	read_num_vector(nsl_buffer&);
	virtual int 	read(nsl_buffer&);
};

