//
//	nsl_num_library.h
//

// mult_equal

// data

extern void NSLmult_equal(nsl_num_data&,const nsl_num_data&,
		const num_type&);
extern void NSLmult_equal(nsl_num_data&,const nsl_num_vector&,
		const nsl_num_data&);
extern void NSLmult_equal(nsl_num_data&,const nsl_num_vector&,
		const nsl_num_vector&);
extern void NSLmult_equal(nsl_num_data&,const nsl_num_matrix&,
		const nsl_num_data&);
extern void NSLmult_equal(nsl_num_data&,const nsl_num_matrix&,
		const nsl_num_matrix&);
extern void NSLmult_equal(nsl_num_data&,const nsl_num_data&,
		const nsl_num_data&);
extern void NSLmult_equal(nsl_num_data&,const nsl_num_data&,
		const nsl_num_vector&);
extern void NSLmult_equal(nsl_num_data&,const nsl_num_data&,
		const nsl_num_matrix&);

// vector

extern void NSLmult_equal(nsl_num_vector&,const nsl_num_data&,
		const num_type&);
extern void NSLmult_equal(nsl_num_vector&,const nsl_num_data&,
		const nsl_num_data&);
extern void NSLmult_equal(nsl_num_vector&,const nsl_num_data&,
		const nsl_num_vector&);
extern void NSLmult_equal(nsl_num_vector&,const nsl_num_vector&,
		const num_type&);
extern void NSLmult_equal(nsl_num_vector&,const nsl_num_vector&,
		const nsl_num_data&);
extern void NSLmult_equal(nsl_num_vector&,const nsl_num_vector&,
		const nsl_num_vector&);
extern void NSLmult_equal(nsl_num_vector&,const nsl_num_matrix&,
		const nsl_num_data&);
extern void NSLmult_equal(nsl_num_vector&,const nsl_num_matrix&,
		const nsl_num_vector&);

// matrix

extern void NSLmult_equal(nsl_num_matrix&,const nsl_num_data&,
		const num_type&);
extern void NSLmult_equal(nsl_num_matrix&,const nsl_num_data&,
		const nsl_num_data&);
extern void NSLmult_equal(nsl_num_matrix&,const nsl_num_data&,
		const nsl_num_matrix&);
extern void NSLmult_equal(nsl_num_matrix&,const nsl_num_vector&,
		const nsl_num_data&);
extern void NSLmult_equal(nsl_num_matrix&,const nsl_num_matrix&,
		const num_type&);
extern void NSLmult_equal(nsl_num_matrix&,const nsl_num_matrix&,
		const nsl_num_data&);
extern void NSLmult_equal(nsl_num_matrix&,const nsl_num_matrix&,
		const nsl_num_vector&);
extern void NSLmult_equal(nsl_num_matrix&,const nsl_num_matrix&,
		const nsl_num_matrix&);

// mult_plus

// data

extern void NSLmult_plus(nsl_num_data&,const nsl_num_data&,const num_type&);
extern void NSLmult_plus(nsl_num_data&,const nsl_num_vector&,
		const nsl_num_data&);
extern void NSLmult_plus(nsl_num_data&,const nsl_num_vector&,
		const nsl_num_vector&);
extern void NSLmult_plus(nsl_num_data&,const nsl_num_data&,const nsl_num_data&);
extern void NSLmult_plus(nsl_num_data&,const nsl_num_data&,
		const nsl_num_vector&);

// vector

extern void NSLmult_plus(nsl_num_vector&,const nsl_num_vector&,
		const num_type&);
extern void NSLmult_plus(nsl_num_vector&,const nsl_num_vector&,
		const nsl_num_data&);
extern void NSLmult_plus(nsl_num_vector&,const nsl_num_vector&,
		const nsl_num_vector&);
extern void NSLmult_plus(nsl_num_vector&,const nsl_num_data&,
		const num_type&);
extern void NSLmult_plus(nsl_num_vector&,const nsl_num_data&,
		const nsl_num_data&);
extern void NSLmult_plus(nsl_num_vector&,const nsl_num_data&,
		const nsl_num_vector&);

// matrix

extern void NSLmult_plus(nsl_num_matrix&,const nsl_num_matrix&,
		const num_type&);
extern void NSLmult_plus(nsl_num_matrix&,const nsl_num_matrix&,
		const nsl_num_data&);
extern void NSLmult_plus(nsl_num_matrix&,const nsl_num_matrix&,
		const nsl_num_matrix&);
extern void NSLmult_plus(nsl_num_matrix&,const nsl_num_data&,
		const num_type&);
extern void NSLmult_plus(nsl_num_matrix&,const nsl_num_data&,
		const nsl_num_data&);
extern void NSLmult_plus(nsl_num_matrix&,const nsl_num_data&,
		const nsl_num_matrix&);

// mult_minus

// data

extern void NSLmult_minus(nsl_num_data&,const nsl_num_data&,const num_type&);
extern void NSLmult_minus(nsl_num_data&,const nsl_num_vector&,
		const nsl_num_data&);
extern void NSLmult_minus(nsl_num_data&,const nsl_num_vector&,
		const nsl_num_vector&);
extern void NSLmult_minus(nsl_num_data&,const nsl_num_data&,
		const nsl_num_data&);
extern void NSLmult_minus(nsl_num_data&,const nsl_num_data&,
		const nsl_num_vector&);

// vector

extern void NSLmult_minus(nsl_num_vector&,const nsl_num_vector&,
		const num_type&);
extern void NSLmult_minus(nsl_num_vector&,const nsl_num_vector&,
		const nsl_num_data&);
extern void NSLmult_minus(nsl_num_vector&,const nsl_num_vector&,
		const nsl_num_vector&);
extern void NSLmult_minus(nsl_num_vector&,const nsl_num_data&,
		const num_type&);
extern void NSLmult_minus(nsl_num_vector&,const nsl_num_data&,
		const nsl_num_data&);
extern void NSLmult_minus(nsl_num_vector&,const nsl_num_data&,
		const nsl_num_vector&);

// matrix

extern void NSLmult_minus(nsl_num_matrix&,const nsl_num_matrix&,
		const num_type&);
extern void NSLmult_minus(nsl_num_matrix&,const nsl_num_matrix&,
		const nsl_num_data&);
extern void NSLmult_minus(nsl_num_matrix&,const nsl_num_matrix&,
		const nsl_num_vector&);
extern void NSLmult_minus(nsl_num_matrix&,const nsl_num_data&,
		const num_type&);
extern void NSLmult_minus(nsl_num_matrix&,const nsl_num_data&,
		const nsl_num_data&);
extern void NSLmult_minus(nsl_num_matrix&,const nsl_num_data&,
		const nsl_num_matrix&);

// add_equal

extern void NSLadd_equal(nsl_num_data&,const nsl_num_matrix&);
extern void NSLadd_equal(nsl_num_data&,const nsl_num_vector&);
extern void NSLadd_equal(nsl_num_data&,const nsl_num_data&);

extern void NSLadd_equal(nsl_num_vector&,const nsl_num_matrix&);
extern void NSLadd_equal(nsl_num_vector&,const nsl_num_vector&);
extern void NSLadd_equal(nsl_num_vector&,const nsl_num_data&);

extern void NSLadd_equal(nsl_num_matrix&,const nsl_num_matrix&);
extern void NSLadd_equal(nsl_num_matrix&,const nsl_num_vector&);
extern void NSLadd_equal(nsl_num_matrix&,const nsl_num_data&);

// add_plus

extern void NSLadd_plus(nsl_num_data&,const nsl_num_matrix&);
extern void NSLadd_plus(nsl_num_data&,const nsl_num_vector&);
extern void NSLadd_plus(nsl_num_data&,const nsl_num_data&);

extern void NSLadd_plus(nsl_num_vector&,const nsl_num_vector&);
extern void NSLadd_plus(nsl_num_vector&,const nsl_num_data&);

extern void NSLadd_plus(nsl_num_matrix&,const nsl_num_matrix&);
extern void NSLadd_plus(nsl_num_matrix&,const nsl_num_data&);

// add_minus

extern void NSLadd_minus(nsl_num_data&,const nsl_num_matrix&);
extern void NSLadd_minus(nsl_num_data&,const nsl_num_vector&);
extern void NSLadd_minus(nsl_num_data&,const nsl_num_data&);

extern void NSLadd_minus(nsl_num_vector&,const nsl_num_vector&);
extern void NSLadd_minus(nsl_num_vector&,const nsl_num_data&);

extern void NSLadd_minus(nsl_num_matrix&,const nsl_num_matrix&);
extern void NSLadd_minus(nsl_num_matrix&,const nsl_num_data&);

