/* SCCS  @(#)xnsl_area_level_graph_data.C	1.1---96/02/20--19:21:44 */
//
//	xnsl_area_level_graph_data.C
//

# include "nsl_all_kernel_include.h"
# include "xnsl_all_xkernel_include.h"

xnsl_area_level_graph_data::xnsl_area_level_graph_data(
	xnsl_display_canvas* win, 
	nsl_data* m) : xnsl_area_level_graph(win)
{
        set_type("area_level_graph_data");

	if (m != NULL)
	{
		_layer = m;
		_layer0 = new nsl_data;
	}
//	else
//		cmd_error("xnsl_area_level_graph_dat: NULL layer");
}
xnsl_area_level_graph_data::~xnsl_area_level_graph_data()
{
}
xnsl_widget * xnsl_area_level_graph_data::make_widget()
{
        return new xnsl_area_level_graph_data((xnsl_display_canvas*) m_parent,
		(nsl_data*) _layer);
}
int xnsl_area_level_graph_data::clear()
{
	((nsl_data*) _layer0)->set_value(0.0);

	return 1;
}
int xnsl_area_level_graph_data::display()
{
	set_env("",_X0,_Y0,_width,_height,_wx0,_wy0,_wx1,_wy1,_wxs,_wys);

	return 1;
}
int xnsl_area_level_graph_data::display_area_level_graph(
	int wx0,int wy0,int wxs,int wys,
	num_type wymin, num_type wymax,int,int,int) 
{
	int fg; // redraw fg

	num_type val0 = ((nsl_data*) _layer0)->get_data();
	num_type val = ((nsl_data*) _layer)->get_data();

//	if ((fg = parent_canvas->get_redraw_fg()) == 1)
//		parent_canvas->set_redraw_fg(0);

	if (val != val0 /*|| fg == 1*/) // new different values only
	{
//	     if (val < val0 || val < 0)
//		clear_area_level(wx0,wy0,wxs,wys);
 	     display_area_level_graph_val(wx0,wy0,wxs,wys,val,wymin,wymax);
	}

	((nsl_data*) _layer0)->set_value(val);

	return 1;
}

int xnsl_area_level_graph_data::read_from_database()
{
//	parent_window->set_win_sector(0,0,0,0,1,1); // update win sector
	xnsl_area_level_graph::read_from_database(); // read in new win sector

	return 1;
}
int xnsl_area_level_graph_data::write_to_database()
{
	xnsl_area_level_graph::write_to_database();

	return 1;
}
int xnsl_area_level_graph_data::input(int x_pos,int y_pos,int fg)
{
/*	float val;

	num_type m0 = ((nsl_data*) _layer0)->get_data();
	num_type m = ((nsl_data*) _layer)->get_data();

	if (fg == 1)
	   val = 0.0;
	else
	   parent_window->get_general_data("val_in",&val);

	if (y_pos <= wy1 && y_pos >= wy0 && x_pos <= wx1 && x_pos >= wx0)
	{
    	    display_area_level_graph_val(wx0,wy0,wxs,wys,val,wymin,wymax);

	    ((nsl_data*) _layer0)->set_value(val);
	    ((nsl_data*) _layer)->set_value(val);
	}
*/
	return 1;
}
int xnsl_area_level_graph_data::output(int x_pos,int y_pos)
{
/*	float val;

	if (y_pos <= wy1 && y_pos >= wy0 && x_pos <= wx1 && x_pos >= wx0)
	{
	    val = ((nsl_data*) layer_ptr)->get_value();

	    parent_window->set_general_data("val_out",val);
	}
*/
	return 1;
}
int xnsl_area_level_graph_data::print(ostream& out) const
{
	xnsl_area_level_graph::print(out);

	return 1;
}
